<%@page import = "paketBMIDB.Person"%>
<%@page import = "paketBMIDB.Datenbankzugriff"%>
<html>
<head>
<title>BMI-Rechner</title>
</head>
<body>
<h1>BMI-Rechner </h1>
<h2>Ihr Body-Mass-Index beträgt:</h2>
<%
      String eingabeName;
	  String eingabeNameNeu;
      String eingabeNameBisher;
  
  	  eingabeNameNeu = request.getParameter("tfNameNeu");
      eingabeNameBisher = request.getParameter("tfNameBisher");	 
	  
	  Person einePerson = new Person();
	 
	  Datenbankzugriff aktuellerZugriff = new Datenbankzugriff();
	  	  
	  if (eingabeNameNeu.length() == 0) 
	  {
		aktuellerZugriff.loesche(eingabeNameBisher);
	  }
	  else
	  {
		aktuellerZugriff.aendereName(eingabeNameNeu, eingabeNameBisher);
	  
	  
	  eingabeName = eingabeNameNeu;
      
	  einePerson = aktuellerZugriff.sucheAlleDatensaetze(eingabeName);
	  
	  out.println("Ihre bisherigen Daten: "); 
	  out.println("<table border = 1>");
	  out.println("<tr>");
	  out.println("<th>Name</th><th>Gewicht</th><th>Grö0e</th><th>Jahre</th><th>Geschlecht</th><th>BMI</th>");
	  out.println("</tr>");  
	  out.println("<tr>");
	  out.println("<td>");
	  out.println(einePerson.getName());
	  out.println("</td>");
	  out.println("<td>");
	  out.println(einePerson.getGewicht());
	  out.println("</td>");
	  out.println("<td>");
	  out.println(einePerson.getGroesse());
	  out.println("</td>");
	  out.println("<td>");
	  out.println(einePerson.getJahre());
	  out.println("</td>");
	  out.println("<td>");
	  out.println(einePerson.getGeschlecht());
	  out.println("</td>");
	  out.println("<td>");
	  out.println(einePerson.getBMI());
	  out.println("</td>");
	  out.println("</tr>");
	 
	  while (aktuellerZugriff.naechsterDatensatz()!= null)
	  {
	  	 out.println("<tr>");
	     out.println("<td>");
	     out.println(einePerson.getName());
	     out.println("</td>");
	     out.println("<td>");
	     out.println(einePerson.getGewicht());
	     out.println("</td>");
	     out.println("<td>");
	     out.println(einePerson.getGroesse());
	     out.println("</td>");
	     out.println("<td>");
	     out.println(einePerson.getJahre());
	     out.println("</td>");
	     out.println("<td>");
	     out.println(einePerson.getGeschlecht());
	     out.println("</td>");
	     out.println("<td>");
	     out.println(einePerson.getBMI());
	     out.println("</td>");
	  	 out.println("</tr>"); 
	  }
	  out.println("</table>");
%>
<h2>Hier können Sie Ihre gespeicherten Daten ändern:</h2>
<h3>Namensänderung:</h3>
<form action="bmiberechnungDBNameaendern.jsp" method="post">
 <table>
  <tr>
    <td>Name bisher: </td>
    <td><input type = "text" name ="tfNameBisher" value = "<% out.println(eingabeName); %>"> </td>
  </tr> 
  <tr>
    <td>Name neu: </td>
    <td><input type = "text" name ="tfNameNeu"></td>
  </tr>
</table>
<br>
<input type="submit" value="Name ändern oder ohne neuen Namen ->löschen">
</form>
<%}%>
<a href="index.html">zurück zur Dateneingabe</a>
</body>
</html>
